Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.trees.j48
Class BinC45ModelSelection

    java.lang.Object
      weka.classifiers.trees.j48.ModelSelection
          weka.classifiers.trees.j48.BinC45ModelSelection

All Implemented Interfaces:
  java.io.Serializable

    public class BinC45ModelSelection

extends ModelSelection

Class for selecting a C4.5-like binary (!) split for a given dataset.

Version:
  $Revision: 1.8 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`BinC45ModelSelection(int minNoObj, Instances allData)` Initializes the split selection method with the given parameters.

Method Summary
`void` | `cleanup()` Sets reference to training data to null.
`ClassifierSplitModel` | `selectModel(Instances data)` Selects C4.5-type split for the given dataset.
`ClassifierSplitModel` | `selectModel(Instances train, Instances test)` Selects C4.5-type split for the given dataset.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinC45ModelSelection

    public BinC45ModelSelection(int minNoObj,
                                Instances allData)

  Initializes the split selection method with the given parameters.

  Parameters:
    `minNoObj` - minimum number of instances that have to occur in at least two subsets induced by split
    `allData` - FULL training dataset (necessary for selection of split points).

Method Detail

### cleanup

    public void cleanup()

  Sets reference to training data to null.

### selectModel

    public final ClassifierSplitModel selectModel(Instances data)

  Selects C4.5-type split for the given dataset.

  Specified by:
    `selectModel` in class `ModelSelection`

### selectModel

    public final ClassifierSplitModel selectModel(Instances train,
                                                  Instances test)

  Selects C4.5-type split for the given dataset.

  Overrides:
    `selectModel` in class `ModelSelection`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD